//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// UserWin satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Threading.Tasks;

using System.Windows;

using CommonHelpers;

namespace UserWin {

//**************************************************************************************************
partial class UXAppWaiting {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static async Task<bool> ReportError( string errorMessage )
{
   return await ReportError( (Window)null, errorMessage );
}

public static async Task<bool> ReportError( Exception e )
{
   return await ReportError( (Window)null, e );
}

//--------------------------------------------------------------------------------------------------

public static async Task<bool> ReportError(string errorMessage,bool skipSuppressBackOff)
{
   return await ReportError( (Window)null, errorMessage, skipSuppressBackOff );
}

public static async Task<bool> ReportError( Exception e, bool skipSuppressBackOff )
{
   return await ReportError( (Window)null, e, skipSuppressBackOff );
}

//==================================================================================================

public static async Task<bool> ReportError( [HOptional] Window owner, string errorMessage )
{
   return await ReportError( (UXShowMessageExtraInfo)null, owner, errorMessage );
}

public static async Task<bool> ReportError( [HOptional] Window owner, Exception e )
{
   return await ReportError( (UXShowMessageExtraInfo)null, owner, e );
}

//--------------------------------------------------------------------------------------------------

public static async Task<bool> ReportError(
   [HOptional] Window owner, string errorMessage, bool skipSuppressBackOff )
{
   return await ReportError( (UXShowMessageExtraInfo)null,
      owner, errorMessage, skipSuppressBackOff );
}

public static async Task<bool> ReportError(
   [HOptional] Window owner, Exception e, bool skipSuppressBackOff )
{
   return await ReportError( (UXShowMessageExtraInfo)null, owner, e, skipSuppressBackOff );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // UXAppWaiting
//**************************************************************************************************

} // UserWin
